# 当目录路径无法找到时, tryuri 转发到 index.php 处理, 这个等同于 nginx 规则中的 try_files $uri index.php,
# 目前 tryuri 仅支持目录路径, 对于文件路径类似 /xx-xx-xx.html 这种转发要自定义 rewrite 规则
tryuri:
- path: /
  script: /index.php
# OSS 同步路径
ossprefix:
 - /ace/app/webroot/a/  # 表示 webroot 下的上传或生成的文件都会同步到 storage 上
 - /ace/app/webroot/b/
# 配置目录访问控制，支持最多配置10个目录，注意请在目录最后加 ”/“，否则认为是前缀匹配
deny:
- /a/bin/    # 表示/ace/app/webroot/a/bin/
- /b/admin/
# ip 黑白名单，黑白选择其一
denyuri:
- path: /bin/
  allowip: ['202.113.1.21','202.113.2.222']
# 支持最多配置10个重写规则
rewrite:
- url: ^/1.jpg$
  script: http://xx.com/hello.php permanent # 外部跳转
  checkfile: false # 默认是true,生成的nginx的location规则会加if判断 -e  $request_filename
- url: ^/(.+)\.html$
  script: /index.php?q=$1 last
# 这边的例子是当用户绑定外部域名时, 跳转到外部域名的例子
rewrite_header:
- header: host
  value: xxx.com # 缺省是模糊匹配，可匹配到 www.xxx.com，但是如果不想匹配到 www.xxx.com，要使用 ^xxx.com$ 来全匹配，注意避免主域名相同时跳转死循化
  goto: http://other.xxx2.com permanent
- header: Cookie
  value: ^key-(.*)$ # 非 host 支持模糊匹配
  goto: /url.php?key=$1
- header: ACE-Protocol
  value: ^http$
  goto: https://xxx.aliapp.com permanent # 用于判断如果不是访问自 https url，则跳转到 https 的 url， permanent 不可省略
# 列表中的路径或文件不受防盗链机制约束，任何情况下都能访问
antihotlinking:
- except: ['/xxxxx/1.gif', '/xxxx/xxx/2.js'] # 例外的 url, 防盗链不生效的路径文件/目录, 最多10个不生效配置项
# 静态文件过期配置
expires:
- path: /bin/xxx/.*\.js # 匹配路径表达式
  time: 1h # 过期时间值
# 错误页配置
error_page:
- status: 504 505
  page: /50x.html # 确保这个文件路径正确
memory_limit: 16 # 8 或 32 或 48 等, 注意不要加 m或者M
